Bug 128846 - RFE: Build gaim with kerberized zephyr
RFE: Build gaim with kerberized zephyr
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-07-30 11:02 EDT by Sean Dilda
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-12 00:45:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2004-07-30 11:02:30 EDT
From my experience, most sites using zephyr use kerberized-zephyr. 
This makes the zephyr support in the gaim packages a little lacking,
since gaim has to be rebuilt to use the kerberized zephyr support (as
opposed to the un-kerberized zephyr support built now).

Since Fedora ships with kerberos, all that's required is adding
'--with-krb4' to the configure line, and a BuildRequires of krb5-devel.
Comment 1 Mark Doliner 2004-07-30 18:20:47 EDT
Having the Gaim RPM depend on kerberos doesn't seem like a great idea
to me...  Having a separate gaim-zephyr RPM containing the zephyr
plugin compiled with kerberos support sounds like a good idea.

warren: If you're interested, the gaim.spec Gaim CVS does something
very similar to this for the silc protocol.  I'm not sure how I feel
about changing the upstream gaim.spec to build zephyr as a separate
RPM and/or with kerberos support.
Comment 2 Warren Togami 2004-07-30 18:37:20 EDT
Fedora at least already requires kerberos libraries for core
components of our operating system, so it is already present and
installed for users who use our gaim.  I dislike the idea of
sub-packages for protocols that other people include, so I am
considering enabling kerberos in our gaim.  This of course is not a
good change for upstream gaim.spec.

This sound ok?
Comment 3 Ethan Blanton 2004-07-30 19:00:10 EDT
So, I don't doubt that you are correct that important parts of fedora
depend on kerberos ... but nothing on my system depends on either
krb5-devel or the kerberos libraries themselves.  openssl-devel does
have a transitive dependency on krb5-libs, but there are any number of
systems which might not require openssl-devel.

That said, I won't cry if the Fedora gaim package depends on kerberos.

Comment 4 Mark Doliner 2004-07-31 00:37:49 EDT
Wow, I hadn't realized so many things depend on kerberos.  xine? 
grip?  wget? xscreensaver?  Funky.  I don't have any problems with the
Fedora RPM being built with a kerberized-zephyr.

Note You need to log in before you can comment on or make changes to this bug.